Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_dimpft.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_dimpft.f90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_dimpft.f90	(revision 5142)
@@ -0,0 +1,6 @@
+MODULE lmdz_dimpft
+  IMPLICIT NONE; PRIVATE
+  PUBLIC nvm_lmdz
+
+  INTEGER nvm_lmdz
+END MODULE lmdz_dimpft
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_fcg_gcssold.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_fcg_gcssold.f90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_fcg_gcssold.f90	(revision 5142)
@@ -0,0 +1,43 @@
+MODULE lmdz_fcs_gcssold
+  IMPLICIT NONE; PRIVATE
+  PUBLIC imp_fcg_gcssold, ts_fcg_gcssold, Tp_fcg_gcssold, Tp_ini_gcssold, xTurb_fcg_gcssold
+
+  LOGICAL :: imp_fcg_gcssold, ts_fcg_gcssold, Tp_fcg_gcssold
+  LOGICAL :: Tp_ini_gcssold
+  LOGICAL :: xTurb_fcg_gcssold
+
+  !$OMP THREADPRIVATE(imp_fcg_gcssold, ts_fcg_gcssold, Tp_fcg_gcssold, Tp_ini_gcssold, xTurb_fcg_gcssold)
+END MODULE lmdz_fcs_gcssold
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_planete.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_planete.f90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_planete.f90	(revision 5142)
@@ -0,0 +1,9 @@
+MODULE lmdz_planete
+  IMPLICIT NONE; PRIVATE
+  PUBLIC aphelie, periheli, year_day, peri_day, obliquit, timeperi, e_elips, p_elips, unitastr
+
+  REAL aphelie, periheli, year_day, peri_day, obliquit, timeperi, e_elips, &
+          p_elips, unitastr
+
+  !$OMP THREADPRIVATE(aphelie, periheli, year_day, peri_day, obliquit, timeperi, e_elips, p_elips, unitastr)
+END MODULE lmdz_planete
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_tsoilnudge.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_tsoilnudge.f90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_tsoilnudge.f90	(revision 5142)
@@ -0,0 +1,8 @@
+MODULE lmdz_tsoilnudge
+  IMPLICIT NONE; PRIVATE
+  PUBLIC nudge_tsoil, isoil_nudge, Tsoil_nudge, tau_soil_nudge
+
+  LOGICAL nudge_tsoil
+  INTEGER isoil_nudge
+  REAL Tsoil_nudge, tau_soil_nudge
+END MODULE lmdz_tsoilnudge
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lsc_scav.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lsc_scav.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lsc_scav.F90	(revision 5142)
@@ -12,4 +12,6 @@
   USE infotrac_phy,ONLY: nbtr
   USE iophy
+  USE lmdz_YOECUMF
+
   IMPLICIT NONE 
 !=====================================================================
@@ -22,5 +24,4 @@
   include "chem.h"
   include "YOMCST.h"
-  include "YOECUMF.h" 
 
 ! inputs
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/nflxtr.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/nflxtr.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/nflxtr.F90	(revision 5142)
@@ -4,4 +4,6 @@
 SUBROUTINE nflxtr(pdtime,pmfu,pmfd,pen_u,pde_u,pen_d,pde_d,pplay,paprs,x,dx) 
   USE dimphy
+  USE lmdz_YOECUMF
+
   IMPLICIT NONE 
 !=====================================================================
@@ -22,5 +24,4 @@
 
   include "YOMCST.h"
-  include "YOECUMF.h" 
 
   REAL,INTENT(IN) :: pdtime  ! pdtphys
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90	(revision 5142)
@@ -417,4 +417,5 @@
   USE lmdz_flux_arp, ONLY: fsens, flat, betaevap, ust, tg, ok_flux_surf, ok_prescr_ust, ok_prescr_beta, ok_forc_tsurf
   USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
+  USE lmdz_dimpft, ONLY: nvm_lmdz
 
     IMPLICIT NONE
@@ -424,6 +425,4 @@
     INCLUDE "YOETHF.h"
     INCLUDE "FCTTRE.h"
-    !FC
-    INCLUDE "dimpft.h"
 
     !****************************************************************************************
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5142)
@@ -355,4 +355,5 @@
     USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
     USE lmdz_conema3
+    USE lmdz_dimpft, ONLY: nvm_lmdz
 
     IMPLICIT NONE
@@ -409,5 +410,4 @@
     include "regdim.h"
     include "dimsoil.h"
-    include "dimpft.h"
     !======================================================================
     LOGICAL, SAVE :: ok_volcan ! pour activer les diagnostics volcaniques
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/solarlong.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/solarlong.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/solarlong.F90	(revision 5142)
@@ -3,4 +3,5 @@
   USE ioipsl
   USE lmdz_print_control, ONLY: lunout
+  USE lmdz_planete, ONLY: aphelie, periheli, year_day, peri_day, obliquit, timeperi, e_elips, p_elips, unitastr
 
   IMPLICIT NONE
@@ -44,6 +45,4 @@
   ! Declarations:
   ! -------------
-
-  include "planete.h"
   include "YOMCST.h"
 
@@ -83,7 +82,7 @@
   ! calcul de l'zanomalie moyenne
 
-  zz = (pday-peri_day)/year_day
-  pi = 2.*asin(1.)
-  zanom = 2.*pi*(zz-nint(zz))
+  zz = (pday - peri_day) / year_day
+  pi = 2. * asin(1.)
+  zanom = 2. * pi * (zz - nint(zz))
   xref = abs(zanom)
 
@@ -92,12 +91,12 @@
 
   ! zx0=xref+e_elips*sin(xref)
-  zx0 = xref + r_ecc*sin(xref)
+  zx0 = xref + r_ecc * sin(xref)
   DO iter = 1, 10
     ! zdx=-(zx0-e_elips*sin(zx0)-xref)/(1.-e_elips*cos(zx0))
-    zdx = -(zx0-r_ecc*sin(zx0)-xref)/(1.-r_ecc*cos(zx0))
+    zdx = -(zx0 - r_ecc * sin(zx0) - xref) / (1. - r_ecc * cos(zx0))
     IF (abs(zdx)<=(1.E-7)) GO TO 120
     zx0 = zx0 + zdx
   END DO
-120 CONTINUE
+  120 CONTINUE
   zx0 = zx0 + zdx
   IF (zanom<0.) zx0 = -zx0
@@ -106,17 +105,17 @@
 
   ! zteta=2.*atan(sqrt((1.+e_elips)/(1.-e_elips))*tan(zx0/2.))
-  zteta = 2.*atan(sqrt((1.+r_ecc)/(1.-r_ecc))*tan(zx0/2.))
+  zteta = 2. * atan(sqrt((1. + r_ecc) / (1. - r_ecc)) * tan(zx0 / 2.))
 
   psollong = zteta - timeperi
 
-  IF (psollong<0.) psollong = psollong + 2.*pi
-  IF (psollong>2.*pi) psollong = psollong - 2.*pi
+  IF (psollong<0.) psollong = psollong + 2. * pi
+  IF (psollong>2. * pi) psollong = psollong - 2. * pi
 
-  psollong = psollong*180./pi
+  psollong = psollong * 180. / pi
 
   ! distance soleil
 
-  pdist_sol = (1-r_ecc*r_ecc)/(1+r_ecc*cos(pi/180.*(psollong- &
-    (r_peri+180.0))))
+  pdist_sol = (1 - r_ecc * r_ecc) / (1 + r_ecc * cos(pi / 180. * (psollong - &
+          (r_peri + 180.0))))
   ! pdist_sol = (1-e_elips*e_elips)
   ! &      /(1+e_elips*COS(pi/180.*(psollong-(R_peri+180.0))))
@@ -131,4 +130,3 @@
   ! ENDIF
 
-
 END SUBROUTINE solarlong
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_mod.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_mod.F90	(revision 5142)
@@ -75,8 +75,8 @@
     USE lmdz_print_control, ONLY: lunout
   USE lmdz_clesphys
+  USE lmdz_dimpft, ONLY: nvm_lmdz
 
     INCLUDE "dimsoil.h"
     INCLUDE "YOMCST.h"
-    INCLUDE "dimpft.h"
 
 ! Input variables  
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_mod.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_mod.F90	(revision 5142)
@@ -58,4 +58,5 @@
     USE lmdz_print_control, ONLY: lunout
     USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
+    USE lmdz_dimpft, ONLY: nvm_lmdz
 #ifdef CPP_VEGET
     USE time_phylmdz_mod, ONLY: itau_phy 
@@ -114,5 +115,4 @@
 
     INCLUDE "YOMCST.h"
-    INCLUDE "dimpft.h"
 
     ! Parametres d'entree
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nofrein_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nofrein_mod.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nofrein_mod.F90	(revision 5142)
@@ -61,4 +61,5 @@
     USE time_phylmdz_mod, ONLY: itau_phy 
 #endif
+USE lmdz_dimpft, ONLY: nvm_lmdz
 
 ! Cette routine sert d'interface entre le modele atmospherique et le 
@@ -115,5 +116,4 @@
 
     INCLUDE "YOMCST.h"
-    INCLUDE "dimpft.h"
 
 ! Parametres d'entree
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nolic_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nolic_mod.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nolic_mod.F90	(revision 5142)
@@ -57,4 +57,5 @@
     USE time_phylmdz_mod, ONLY: itau_phy 
 #endif
+USE lmdz_dimpft, ONLY: nvm_lmdz
 
 ! Cette routine sert d'interface entre le modele atmospherique et le 
@@ -110,5 +111,4 @@
 
     INCLUDE "YOMCST.h"
-    INCLUDE "dimpft.h"
 
 ! Parametres d'entree
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90	(revision 5142)
@@ -106,8 +106,9 @@
     USE time_phylmdz_mod, ONLY: itau_phy 
 #endif
+USE lmdz_dimpft, ONLY: nvm_lmdz
+
     IMPLICIT NONE
 
     INCLUDE "YOMCST.h"
-    INCLUDE "dimpft.h"  
 
 ! Parametres d'entree
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nounstruct_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nounstruct_mod.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nounstruct_mod.F90	(revision 5142)
@@ -56,4 +56,5 @@
     USE time_phylmdz_mod, ONLY: itau_phy 
 #endif
+USE lmdz_dimpft, ONLY: nvm_lmdz
 
 ! Cette routine sert d'interface entre le modele atmospherique et le 
@@ -110,5 +111,4 @@
 
     INCLUDE "YOMCST.h"
-    INCLUDE "dimpft.h"
 
 ! Parametres d'entree
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noz0h_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noz0h_mod.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noz0h_mod.F90	(revision 5142)
@@ -59,4 +59,5 @@
     USE time_phylmdz_mod, ONLY: itau_phy 
 #endif
+USE lmdz_dimpft, ONLY: nvm_lmdz
 
 ! Cette routine sert d'interface entre le modele atmospherique et le 
@@ -113,5 +114,4 @@
 
     INCLUDE "YOMCST.h"
-    INCLUDE "dimpft.h"  
 
 ! Parametres d'entree
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_driver.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_driver.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv_driver.F90	(revision 5142)
@@ -44,4 +44,6 @@
 USE lmdz_cv30, ONLY: cv30_param, cv30_prelim, cv30_feed, cv30_undilute1, cv30_trigger, cv30_compress, cv30_undilute2, &
           cv30_closure, cv30_epmax_fn_cape, cv30_mixing, cv30_unsat, cv30_yield, cv30_tracer, cv30_uncompress
+USE lmdz_cv, ONLY: cv_param, cv_prelim, cv_feed, cv_undilute1, cv_trigger, cv_compress, &
+          cv_undilute2, cv_closure, cv_mixing, cv_unsat, cv_yield, cv_uncompress
 
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cva_driver.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cva_driver.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cva_driver.F90	(revision 5142)
@@ -73,4 +73,7 @@
 #endif
 #endif
+USE lmdz_cv, ONLY: cv_param, cv_prelim, cv_feed, cv_undilute1, cv_trigger, cv_compress, &
+          cv_undilute2, cv_closure, cv_mixing, cv_unsat, cv_yield, cv_uncompress
+
   IMPLICIT NONE
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_YOECUMF.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_YOECUMF.f90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_YOECUMF.f90	(revision 5142)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_YOECUMF.f90
